searchNodes=[{"type":"module","title":"Kino.VegaLite","doc":"A kino wrapping VegaLite graphic. This kino allow for rendering regular VegaLite graphic and then streaming new data points to update the graphic. Examples chart = Vl . new ( width : 400 , height : 400 ) |&gt; Vl . mark ( :line ) |&gt; Vl . encode_field ( :x , &quot;x&quot; , type : :quantitative ) |&gt; Vl . encode_field ( :y , &quot;y&quot; , type : :quantitative ) |&gt; Kino.VegaLite . new ( ) |&gt; Kino . render ( ) for i &lt;- 1 .. 300 do point = %{ x : i / 10 , y : :math . sin ( i / 10 ) } Kino.VegaLite . push ( chart , point ) Process . sleep ( 25 ) end","ref":"Kino.VegaLite.html"},{"type":"function","title":"Kino.VegaLite.clear/2","doc":"Removes all data points from the graphic dataset. Options dataset - name of the targeted dataset from the VegaLite specification. Defaults to the default anonymous dataset","ref":"Kino.VegaLite.html#clear/2"},{"type":"function","title":"Kino.VegaLite.new/1","doc":"Creates a new kino with the given VegaLite definition.","ref":"Kino.VegaLite.html#new/1"},{"type":"function","title":"Kino.VegaLite.periodically/4","doc":"Registers a callback to run periodically in the kino process. The callback is run every interval_ms milliseconds and receives the accumulated value. The callback should return either of: {:cont, acc} - the continue with the new accumulated value :halt - to no longer schedule callback evaluation The callback is run for the first time immediately upon registration.","ref":"Kino.VegaLite.html#periodically/4"},{"type":"function","title":"Kino.VegaLite.push/3","doc":"Appends a single data point to the graphic dataset. Options :window - the maximum number of data points to keep. This option is useful when you are appending new data points to the plot over a long period of time dataset - name of the targeted dataset from the VegaLite specification. Defaults to the default anonymous dataset","ref":"Kino.VegaLite.html#push/3"},{"type":"function","title":"Kino.VegaLite.push_many/3","doc":"Appends a number of data points to the graphic dataset. See push/3 for more details.","ref":"Kino.VegaLite.html#push_many/3"},{"type":"function","title":"Kino.VegaLite.set_param/3","doc":"Updates a vega-lite parameter's value. The parameter must be registered: VegaLite.param(vl, &quot;param_name&quot;, opts) . To use the parameter in the chart, set a property to [expr: &quot;param_name&quot;] . Examples chart = VegaLite . new ( width : 400 , height : 400 ) |&gt; VegaLite . param ( &quot;stroke_width&quot; , value : 3 ) |&gt; VegaLite . mark ( :line , stroke_width : [ expr : &quot;stroke_width&quot; ] ) |&gt; VegaLite . encode_field ( :x , &quot;x&quot; , type : :quantitative ) |&gt; VegaLite . encode_field ( :y , &quot;y&quot; , type : :quantitative ) |&gt; Kino.VegaLite . new ( ) |&gt; Kino . render ( ) Kino.VegaLite . set_param ( chart , &quot;stroke_width&quot; , 10 )","ref":"Kino.VegaLite.html#set_param/3"},{"type":"type","title":"Kino.VegaLite.t/0","doc":"","ref":"Kino.VegaLite.html#t:t/0"},{"type":"extras","title":"Components","doc":"Mix . install ( [ { :vega_lite , &quot;~&gt; 0.1.6&quot; } , { :kino_vega_lite , &quot;~&gt; 0.1.9&quot; } ] ) alias VegaLite , as : Vl","ref":"components.html"},{"type":"extras","title":"Components - Kinos","doc":"VegaLite This integration automatically renders the VegaLite struct as a chart: Vl . new ( ) |&gt; Vl . data_from_values ( iteration : 1 .. 100 , score : 1 .. 100 ) |&gt; Vl . mark ( :line ) |&gt; Vl . encode_field ( :x , &quot;iteration&quot; , type : :quantitative ) |&gt; Vl . encode_field ( :y , &quot;score&quot; , type : :quantitative ) Kino.VegaLite Kino.VegaLite allows you to wrap an empty graphic and then stream data to the chart: chart = Vl . new ( width : 400 , height : 400 ) |&gt; Vl . mark ( :line ) |&gt; Vl . encode_field ( :x , &quot;x&quot; , type : :quantitative ) |&gt; Vl . encode_field ( :y , &quot;y&quot; , type : :quantitative ) |&gt; Kino.VegaLite . new ( ) |&gt; Kino . render ( ) for i &lt;- 1 .. 300 do point = %{ x : i / 10 , y : :math . sin ( i / 10 ) } Kino.VegaLite . push ( chart , point ) Process . sleep ( 25 ) end","ref":"components.html#kinos"},{"type":"extras","title":"Components - Smart cells","doc":"The following Smart cells are available: Chart cell - for building visualizations for tabular data","ref":"components.html#smart-cells"}]